Bug Hunting Session
Bug 124200 - commands without icons
Summary: commands without icons
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: Icon-Request
  Show dependency treegraph
 
Reported: 2019-03-19 08:34 UTC by andreas_k
Modified: 2019-04-15 13:25 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2019-03-19 08:34:20 UTC
To the following commands I can't add an icon:

- check for updates
- Find
- Organize Dialogues
- Extension Manager
- Horizontal Lines

This commands were used in the menubar and should have an icon.
Comment 1 V Stuart Foote 2019-03-19 14:02:58 UTC
OK, but not clear it is necessary to have icons assigned to *all* menu actions. 

Also, we remain able to suppress icons in menus from Expert configuration by setting the 'ShowIconsInMenus' Common - View - Menu stanza. So seems icons on menus is a personal preference--not a hard requirement.
Comment 2 V Stuart Foote 2019-03-19 14:08:45 UTC
s/ShowIconsInMenus/ShowIconsInMenues
Comment 3 Heiko Tietze 2019-03-19 14:24:01 UTC
(In reply to V Stuart Foote from comment #1)
> Also, we remain able to suppress icons in menus from Expert configuration...

...or via Tools > Options > View > Icons in menu (default = Automatic). See also bug 123265.
Comment 4 Maxim Monastirsky 2019-03-21 23:07:29 UTC
(In reply to andreas_k from comment #0)
It was discussed in the past in Bug 107915 wrt. style commands. e.g. Text Body style command definition looks like this:

<node oor:name=".uno:TextBodyParaStyle" oor:op="replace">
  <prop oor:name="Label" oor:type="xs:string">
    <value xml:lang="en-US">Text Body</value>
  </prop>
  <prop oor:name="TooltipLabel" oor:type="xs:string">
    <value xml:lang="en-US">Text Body Paragraph Style</value>
  </prop>
  <prop oor:name="TargetURL" oor:type="xs:string">
    <value>.uno:StyleApply?Style:string=Text Body&amp;FamilyName:string=ParagraphStyles</value>
  </prop>
  <prop oor:name="Properties" oor:type="xs:int">
    <value>9</value>
  </prop>
</node>

Note the "TargetURL" part. It's taking .uno:StyleApply?... and creating a new .uno:TextBodyParaStyle out of it, for the purpose of adding an icon.
Comment 5 Commit Notification 2019-04-07 19:03:02 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/817e3447053d1a7465a5cf547b4eb39fc46b4d59%5E%21

tdf#124200 calc add icon for DefaultCellStyle

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-04-08 16:39:09 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/08557a159bde7dab626f36488c88af94d7da0deb%5E%21

tdf#124200 calc add icons for CellStyles

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 andreas_k 2019-04-08 21:31:44 UTC
Ok I think I can fix "all open tasks myself exclude: 

- vnd.sun.star.findbar:FocusToFindbar
- MacroOrganizer?TabId:short=1
- service:com.sun.star.deployment.ui.PackageManagerDialog
- Check for updates

can someone help me to get icon support for this 4 items?
Comment 8 Maxim Monastirsky 2019-04-08 22:59:58 UTC
(In reply to andreas_k from comment #7)
> Ok I think I can fix "all open tasks myself exclude: 
I guess you're talking here about buttons in the notebookbar (where the trick with TargetURL doesn't work yet)? Because for the menu/toolbar it should work the same way as with styles. Otherwise:

> - vnd.sun.star.findbar:FocusToFindbar
Should work also as cmd/sc_focustofindbar.png

> - MacroOrganizer?TabId:short=1
Should work as cmd/sc_macroorganizer%3ftabid%3ashort=1.png (or simply as cmd/sc_macroorganizer.png, in case that a plain .uno:MacroOrganizer doesn't need different icon).

> - service:com.sun.star.deployment.ui.PackageManagerDialog
Should work as cmd/sc_com.sun.star.deployment.ui.packagemanagerdialog.png
Comment 9 Commit Notification 2019-04-08 23:09:12 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d68dcb179d3350488f89a53321f913f1d66bb876%5E%21

tdf#124200 missing icon: for HorizontalLine

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2019-04-09 07:58:13 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d750e5bae576502edf8cd59291be33c50cd15193%5E%21

tdf#124200 missing menubar icons: add packagemanager, macro, findbar

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 andreas_k 2019-04-09 08:02:08 UTC
thanks for the feedback Maxim, I think I will have all icons in sifr now. Only check for updates didn't has an icon, but that's ok.

Will check at daily build from tomorrow if everything work and than close the bug.
Comment 12 Commit Notification 2019-04-15 13:25:10 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/25f31522594fff89434721d247e501af4fd673de%5E%21

KJ&elementary:Calc style, extension, Organize Dialogs, findbar tdf#124200

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.